package cn.com.infosec.asn1;

import java.io.IOException;
import java.io.InputStream;

public class DEROctetStringParser implements ASN1OctetStringParser {
   private DefiniteLengthInputStream stream;

   DEROctetStringParser(DefiniteLengthInputStream stream) {
      this.stream = stream;
   }

   public InputStream getOctetStream() {
      return this.stream;
   }

   public DERObject getDERObject() {
      try {
         return new DEROctetString(this.stream.toByteArray());
      } catch (IOException var1) {
         throw new IllegalStateException("IOException converting stream to byte array: " + var1.getMessage());
      }
   }
}
